edu.sc.seis.sod.source.network

## Class NetworkQueryConstraints

- java.lang.Object
- - edu.sc.seis.sod.source.network.NetworkQueryConstraints

-     public class NetworkQueryConstraints
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetworkQueryConstraints(java.util.List<java.lang.String> constrainingNetworkCodes, java.util.List<java.lang.String> constrainingStationCodes, java.util.List<java.lang.String> constrainingLocationCodes, java.util.List<java.lang.String> constrainingChannelCodes)`
    `NetworkQueryConstraints(NetworkSubsetter attrSubsetter, StationSubsetter stationSubsetter, java.util.List<ChannelSubsetter> channelSubsetterList, edu.iris.Fissures.TimeRange timeRange)` Given a network subsetter, return a string array consisting of all the network codes this subsetter accepts.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `edu.iris.Fissures.model.MicroSecondDate` | `getConstrainingBeginTime()`
    `java.util.List<java.lang.String>` | `getConstrainingChannelCodes()`
    `edu.iris.Fissures.model.MicroSecondDate` | `getConstrainingEndTime()`
    `java.util.List<java.lang.String>` | `getConstrainingLocationCodes()`
    `java.util.List<java.lang.String>` | `getConstrainingNetworkCodes()`
    `java.util.List<java.lang.String>` | `getConstrainingStationCodes()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NetworkQueryConstraints

          public NetworkQueryConstraints(java.util.List<java.lang.String> constrainingNetworkCodes,
                                         java.util.List<java.lang.String> constrainingStationCodes,
                                         java.util.List<java.lang.String> constrainingLocationCodes,
                                         java.util.List<java.lang.String> constrainingChannelCodes)

    - #### NetworkQueryConstraints

          public NetworkQueryConstraints(NetworkSubsetter attrSubsetter,
                                         StationSubsetter stationSubsetter,
                                         java.util.List<ChannelSubsetter> channelSubsetterList,
                                         edu.iris.Fissures.TimeRange timeRange)

      Given a network subsetter, return a string array consisting of all the network codes this subsetter accepts. If it doesn't constrain network based only on codes possibly in an OR, an empty array is returned.

  - ### Method Detail

    - #### getConstrainingNetworkCodes

          public java.util.List<java.lang.String> getConstrainingNetworkCodes()

    - #### getConstrainingStationCodes

          public java.util.List<java.lang.String> getConstrainingStationCodes()

    - #### getConstrainingLocationCodes

          public java.util.List<java.lang.String> getConstrainingLocationCodes()

    - #### getConstrainingChannelCodes

          public java.util.List<java.lang.String> getConstrainingChannelCodes()

    - #### getConstrainingBeginTime

          public edu.iris.Fissures.model.MicroSecondDate getConstrainingBeginTime()

    - #### getConstrainingEndTime

          public edu.iris.Fissures.model.MicroSecondDate getConstrainingEndTime()